#!/usr/bin/env python
#
# Scan i2c bus on i2c_tiny_usb
#

import sys
import time
import usb
import i2c_tiny_usb

def main(argv=None) :
    i2cTinyUsbDev = i2c_tiny_usb.I2cTinyUsbDevice()
    handle = i2cTinyUsbDev.open()

    # Set i2c delay
    i2cTinyUsbDev.setDelay(10)

    for a in range(1,128):
        if i2cTinyUsbDev.i2cProbe(a) == True:
	    print hex(a), "responding"

if __name__ == "__main__" :
    main()

